Stampfactory
Dokumentation
Urlaubsanspruch & Zeitkonto

Überstunden auszahlen

POST
/employees/{employee}/overtime_payouts
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

employee*string

The employee ID

Formatuuid

Request-Body

application/json

TypeScript-Definitionen

TypeScript-Typ für request body.

Body of POST /rest/employees/{employee}/overtime_payouts — pays out hours of one settlement month.

Response-Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08/overtime_payouts" \  -H "Content-Type: application/json" \  -d '{    "year_month": "string",    "hours": 0.01  }'
{  "data": {    "id": "string",    "employee_id": "string",    "year_month": "string",    "amount": "string",    "hours": 0,    "comment": "string",    "created_at": "string"  }}